com.fasterxml.jackson.databind.deser

## Class BasicDeserializerFactory.CreatorCollectionState

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.BasicDeserializerFactory.CreatorCollectionState

Enclosing class:
  BasicDeserializerFactory

    protected static class BasicDeserializerFactory.CreatorCollectionState
    extends Object

Helper class to contain largish number of parameters that need to be passed during Creator introspection.

Since:
  2.12

### Field Summary

Fields
`BeanDescription` `beanDesc`
`DeserializationContext` `context`
`Map<AnnotatedWithParams,BeanPropertyDefinition[]>` `creatorParams`
`CreatorCollector` `creators`
`VisibilityChecker<?>` `vchecker`

### Constructor Summary

Constructors
Constructor and Description
`CreatorCollectionState(DeserializationContext ctxt, BeanDescription bd, VisibilityChecker<?> vc, CreatorCollector cc, Map<AnnotatedWithParams,BeanPropertyDefinition[]> cp)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addImplicitConstructorCandidate(CreatorCandidate cc)`
`void` `addImplicitFactoryCandidate(CreatorCandidate cc)`
`AnnotationIntrospector` `annotationIntrospector()`
`boolean` `hasExplicitConstructors()`
`boolean` `hasExplicitFactories()`
`boolean` `hasImplicitConstructorCandidates()`
`boolean` `hasImplicitFactoryCandidates()`
`List<CreatorCandidate>` `implicitConstructorCandidates()`
`List<CreatorCandidate>` `implicitFactoryCandidates()`
`void` `increaseExplicitConstructorCount()`
`void` `increaseExplicitFactoryCount()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### context

    public final DeserializationContext context

#### beanDesc

    public final BeanDescription beanDesc

#### vchecker

    public final VisibilityChecker<?> vchecker

#### creators

    public final CreatorCollector creators

#### creatorParams

    public final Map<AnnotatedWithParams,BeanPropertyDefinition[]> creatorParams

### Constructor Detail

#### CreatorCollectionState

    public CreatorCollectionState(DeserializationContext ctxt,
                                  BeanDescription bd,
                                  VisibilityChecker<?> vc,
                                  CreatorCollector cc,
                                  Map<AnnotatedWithParams,BeanPropertyDefinition[]> cp)

### Method Detail

#### annotationIntrospector

    public AnnotationIntrospector annotationIntrospector()

#### addImplicitFactoryCandidate

    public void addImplicitFactoryCandidate(CreatorCandidate cc)

#### increaseExplicitFactoryCount

    public void increaseExplicitFactoryCount()

#### hasExplicitFactories

    public boolean hasExplicitFactories()

#### hasImplicitFactoryCandidates

    public boolean hasImplicitFactoryCandidates()

#### implicitFactoryCandidates

    public List<CreatorCandidate> implicitFactoryCandidates()

#### addImplicitConstructorCandidate

    public void addImplicitConstructorCandidate(CreatorCandidate cc)

#### increaseExplicitConstructorCount

    public void increaseExplicitConstructorCount()

#### hasExplicitConstructors

    public boolean hasExplicitConstructors()

#### hasImplicitConstructorCandidates

    public boolean hasImplicitConstructorCandidates()

#### implicitConstructorCandidates

    public List<CreatorCandidate> implicitConstructorCandidates()